Bug 763118 (GLUSTER-1386) - gnfs nfs3_mknod must handle invalid device type
Summary: gnfs nfs3_mknod must handle invalid device type
Status: CLOSED NOTABUG
Alias: GLUSTER-1386
Product: GlusterFS
Classification: Community
Component: nfs   
(Show other bugs)
Version: 3.1-alpha
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: Shehjar Tikoo
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-17 10:08 UTC by Sachidananda Urs
Modified: 2015-12-01 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sachidananda Urs 2010-08-17 10:08:55 UTC
Dead store  Dead assignment  xlators/nfs/server/src/nfs3.c  2860  1

Refer below url for line number and function name:
http://dev.gluster.com/~raghavendrabhat/2010-07-14-1/report-TWZ0sf.html#EndPath

Shehjar wrote:

@@ -2857,7 +2855,7 @@ nfs3_mknod (rpcsvc_request_t *req, struct nfs3_fh *fh, char *name,
                                                                  &cs->mode);
                break;
        default:
-                ret = -EBADF;
+                /* ret = -EBADF; */
                break;
        }
 

Dont include this line in this patch. Your change has brought out a minor bug in gnfs. I'll send the correct fix for that. Thanks.

Comment 1 Shehjar Tikoo 2010-10-05 08:56:40 UTC
Minor introspection bug. Setting to 3.1.1


Note You need to log in before you can comment on or make changes to this bug.